Skip to content

getPurchaseInvoices

READ

Get purchase invoices.

POST /api/v1/invoicing/getPurchaseInvoices
curl -X POST '<your-host>/api/v1/invoicing/getPurchaseInvoices' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "id": "string",
      "invoiceId": "string",
      "supplierId": "string",
      "invoiceSupplierId": "string",
      "supplierReference": "string",
      "postingDate": "string",
      "dateIssued": "string",
      "dateDue": "string",
      "datePaid": "string",
      "balance": 0,
      "assignee": "string",
      "createdBy": "string",
      "createdAt": "string",
      "updatedBy": "string",
      "updatedAt": "string",
      "customFields": "…",
      "companyId": "string",
      "thumbnailPath": "string",
      "itemType": "Part",
      "orderTotal": 0,
      "status": "string",
      "paymentTermName": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "supplierId": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}